Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000541bareos-core[All Projects] webuipublic2015-10-13 21:252017-06-08 16:07
Reporteravantsysadm@avant.ca 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSCentOSOS Version6
Product Version 
Target VersionFixed in Version15.2.2 
Summary0000541: 15.2-rc1 webui "restore" just gets blank page
DescriptionAfter a clean install of 15.2-rc1 on CentOS6, the Restore tab in webui is non-functional; a blank page is the only result.

I thought I saw another bug report about this but can't find it now...

Stack trace included here.
Additional Information[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP Parse error: syntax error, unexpected '[' in /usr/share/bareos-webui/module/Restore/src/Restore/Controller/RestoreController.php on line 49, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP Stack trace:, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 1. {main}() /usr/share/bareos-webui/public/index.php:0, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 2. Zend\\Mvc\\Application->run() /usr/share/bareos-webui/public/index.php:24, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 3. Zend\\EventManager\\EventManager->trigger() /usr/share/php/Zend/Mvc/Application.php:309, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 4. Zend\\EventManager\\EventManager->triggerListeners() /usr/share/php/Zend/EventManager/EventManager.php:207, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 5. call_user_func() /usr/share/php/Zend/EventManager/EventManager.php:468, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 6. Zend\\Mvc\\DispatchListener->onDispatch() /usr/share/php/Zend/EventManager/EventManager.php:468, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 7. Zend\\Mvc\\Controller\\ControllerManager->get() /usr/share/php/Zend/Mvc/DispatchListener.php:97, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 8. Zend\\ServiceManager\\AbstractPluginManager->get() /usr/share/php/Zend/Mvc/Controller/ControllerManager.php:133, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 9. Zend\\ServiceManager\\ServiceManager->get() /usr/share/php/Zend/ServiceManager/AbstractPluginManager.php:103, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 10. Zend\\ServiceManager\\ServiceManager->create() /usr/share/php/Zend/ServiceManager/ServiceManager.php:503, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 11. Zend\\ServiceManager\\ServiceManager->doCreate() /usr/share/php/Zend/ServiceManager/ServiceManager.php:569, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 12. Zend\\ServiceManager\\AbstractPluginManager->createFromInvokable() /usr/share/php/Zend/ServiceManager/ServiceManager.php:613, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 13. Zend\\Loader\\StandardAutoloader->autoload() /usr/share/php/Zend/ServiceManager/ServiceManager.php:0, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
[Tue Oct 13 14:23:46 2015] [error] [client 192.168.100.114] PHP 14. Zend\\Loader\\StandardAutoloader->loadClass() /usr/share/php/Zend/Loader/StandardAutoloader.php:215, referer: http://amanda1.ad.avant.ca/bareos-webui/job/// [^]
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0001915)
renato.ramonda (reporter)
2015-11-04 16:39

I'm seeing similar behavior, I think: the web ui for client and backup selection works, but the "Select files to be restored" pane shows the loading animation and then stays empty.

Oddly, Windows backups contents are listed correctly.
(0001916)
renato.ramonda (reporter)
2015-11-04 16:49

Further info, related: I can't seem to reproduce it consistently, but I got this error which looks linked to the same problem.

PHP Notice: Undefined index: result in /usr/share/bareos-webui/module/Restore/src/Restore/Controller/RestoreController.php on line 442, referer: http://nm01-mgmt/bareos-webui/restore/?type=client&jobid=&client=None&restoreclient=&restorejob=&where=&fileset=&mergefilesets=0&mergejobs=0 [^]

- Issue History
Date Modified Username Field Change
2015-10-13 21:25 avantsysadm@avant.ca New Issue
2015-10-13 21:25 avantsysadm@avant.ca Status new => assigned
2015-10-13 21:25 avantsysadm@avant.ca Assigned To => frank
2015-11-04 16:39 renato.ramonda Note Added: 0001915
2015-11-04 16:49 renato.ramonda Note Added: 0001916
2015-12-11 15:39 frank Status assigned => resolved
2015-12-11 15:39 frank Fixed in Version => 15.2.2
2015-12-11 15:39 frank Resolution open => fixed
2017-06-08 16:07 frank Status resolved => closed
2017-06-08 16:07 frank Assigned To frank =>


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker